# Clip Post

Prior creating a clip post, it is crucial to upload the video for the clip that will be included in the post data to ensure that the necessary information is accessible and can be linked to the post. This requires uploading the clip first, to obtain the clip data that will be used in creating the clip post. To upload a clip, please refer to [Video Handling](/social-plus-sdk/core-concepts/files-images-and-videos/video-handling.md#upload-videos)

Upon successful completion of the upload process, you can include the clip data as a parameter when creating a cilp post, as demonstrated in the code sample below.

Here's an explanation of the method's parameters:

* `text`: This is a required parameter of type `String`, which represents the text content of the new post. You can pass in any text you want to include in the post, up to a maximum length of 20,000 characters.
* `clip`: Which represents clip uploaded by the user on Android, iOS.
* `targetId` - Id for the target, either a user id or a community id.
* `targetType` - Type of the target, either a particular community or a user feed.
* `metaData` - Additional properties to support custom fields or mentions

**Requirements for Clip**

* Supported video types are `3gp`**,** `avi`**,** `f4v`**,** `flv`**,** `m4v`**,** `mov`**,** `mp4`**,** `ogv`**,** `3g2`, `wmv`, `vob`, `webm`, `mkv`
* The maximum file size limit is up to 2 GB.
* The maximum duration of the clip is 15 minutes

{% tabs %}
{% tab title="iOS" %}
{% embed url="<https://gist.github.com/amythee/684a0ac3d3e8f99327804400eb35161b>" %}
{% endtab %}

{% tab title="Android" %}
{% embed url="<https://gist.github.com/amythee/e94628ca22b85e216cec0bd4a10c106c>" %}
{% endtab %}

{% tab title="TypeScript" %}
{% embed url="<https://gist.github.com/amythee/998a1b6d6b5b5733b01b24cfbd2ce771>" %}

{% endtab %}
{% endtabs %}

{% hint style="info" %}

* A post can have 1 clip&#x20;
* Uploading HDR video format is not supported on iOS.
  {% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.social.plus/social-plus-sdk/social/posts/create-post/clip-post.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
